﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using SDON.Serialization;

namespace SDON
{
    /// <summary>
    /// Interface for text
    /// </summary>
    public interface TextInterfaceExtended<T>
    {
        /// <summary>
        /// Defines the number of characters to allow in a shape before the remaining text is truncated. By default nothing is truncated. Defining Truncate to “-1” turns it off if on by default.
        /// </summary>
        /// <param name="truncate">Number of characters before truncation</param>
        /// <returns>T</returns>
        T SetTextTruncate(int truncate);

        /// <summary>
        /// Set a hyperlink for the text label   
        /// </summary>
        /// <param name="textHyperlink">Hyperlink URL</param>
        /// <returns>T</returns>
        T SetTextHyperlink(string textHyperlink);        
    }
}
